#!/bin/bash
#
# ===== backup-host scripts ======
#
# unicode-filter.sh: extract relevant ACL from backup file
#
# $Rev: 73 $
# $Date: 2012-09-11 08:47:49 +0200 (mar, 11 set 2012) $
# $Author: resolir $
#
#	Copyright (C) 2011-2012 Roberto Resoli - Comune di Trento;
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; version 3
#	of the License.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
#	MA  02111-1307, USA.
#
#GREP_CMD=$(which grep)
#The above could detect a non cygwin grep, so filter out 
for i in $(which -a grep)
do 
   if [ $(expr match "$i" ".*cygdrive.*") -eq 0 ]; then
	GREP_CMD=$i; 
	break; 
   fi
done

if [ $# -ne 2 ]; then
    echo "2 Parameters required!"
    exit 1
fi
ACL_FILE=$1
WIN_PATH=$2
#Setting BOM
printf '\xFF\xFE'; iconv -f UTF-16LE -t UTF-8 "$1" | $GREP_CMD "${WIN_PATH//'\'/[\\]}" | sed 's/$'"/`echo \\\r`/" | iconv -f UTF-8 -t UTF-16LE 
exit 0
